Bug 1265750 - Unable to add New Cloud Provider
Unable to add New Cloud Provider
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.5.0
Assigned To: Aparna Karve
Pavol Kotvan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 12:25 EDT by Aparna Karve
Modified: 2015-12-08 08:33 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:33:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aparna Karve 2015-09-23 12:25:57 EDT
Description of problem: Unable to add New Cloud Provider


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Navigate to Clouds -> Providers -> Configuration -> Add New Cloud Provider
2.
3.

Actual results:
[----] F, [2015-09-23T16:15:46.121608 #29451:2aecf43c7970] FATAL -- : Error caught: [NoMethodError] undefined method `invert' for #<Array:0x0055da01f34e28>
/home/rblanco/devel/manageiq/app/views/shared/views/ems_common/angular/_form.html.haml:67:in `_app_views_shared_views_ems_common_angular__form_html_haml__667581869529807848_47197446191520'


Expected results:
Add a new Cloud Provider page should open up


Additional info:
Observed that it cannot be reproduced on all machines. It is quite likely that it can be recreated with ruby 2.2.2, but we do not have enough info to substantiate that.
Comment 2 Aparna Karve 2015-09-23 15:43:20 EDT
PR - https://github.com/ManageIQ/manageiq/pull/4492

Was able to recreate the issue by having > 1 Zone in the DB
Comment 3 CFME Bot 2015-09-23 16:51:20 EDT
New commit detected on ManageIQ/miq_bot/master:
https://github.com/ManageIQ/miq_bot/commit/bcaf126e194ee5fb09a399394c24eb552b9d4b83

commit bcaf126e194ee5fb09a399394c24eb552b9d4b83
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Wed Sep 23 10:07:44 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Sep 23 10:57:33 2015 -0700

    Remove the .invert inadvertently applied to the array
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1265750
    #4486

 app/views/shared/views/ems_common/angular/_form.html.haml | 2 +-
 spec/controllers/ems_cloud_controller_spec.rb             | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)
Comment 5 CFME Bot 2015-09-23 16:51:39 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 7 CFME Bot 2015-09-23 16:51:55 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 9 CFME Bot 2015-09-23 17:10:55 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 10 CFME Bot 2015-09-23 17:11:20 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/bcaf126e194ee5fb09a399394c24eb552b9d4b83

commit bcaf126e194ee5fb09a399394c24eb552b9d4b83
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Wed Sep 23 10:07:44 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Sep 23 10:57:33 2015 -0700

    Remove the .invert inadvertently applied to the array
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1265750
    #4486

 app/views/shared/views/ems_common/angular/_form.html.haml | 2 +-
 spec/controllers/ems_cloud_controller_spec.rb             | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)
Comment 12 CFME Bot 2015-09-23 17:11:55 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 14 CFME Bot 2015-09-23 17:12:26 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 16 CFME Bot 2015-09-23 17:13:40 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 17 CFME Bot 2015-09-23 17:30:54 EDT
New commit detected on ManageIQ/miq_bot/master:
https://github.com/ManageIQ/miq_bot/commit/bcaf126e194ee5fb09a399394c24eb552b9d4b83

commit bcaf126e194ee5fb09a399394c24eb552b9d4b83
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Wed Sep 23 10:07:44 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Sep 23 10:57:33 2015 -0700

    Remove the .invert inadvertently applied to the array
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1265750
    #4486

 app/views/shared/views/ems_common/angular/_form.html.haml | 2 +-
 spec/controllers/ems_cloud_controller_spec.rb             | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)
Comment 18 Pavol Kotvan 2015-10-09 05:51:54 EDT
Verified against 5.5.0.5-beta1.1.20151007163855_ed40d96. Able to see "Add New Cloud Provider" form with 2 zones configured.
Comment 20 errata-xmlrpc 2015-12-08 08:33:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.